Bug 1287214 - rcm-img-docker01.build.eng.bos.redhat.com:5001 [NEEDINFO]
rcm-img-docker01.build.eng.bos.redhat.com:5001
Status: ASSIGNED
Product: Container Development Kit (CDK)
Classification: Red Hat
Component: distribution (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Lalatendu Mohanty
David Kutálek
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 14:01 EST by Burr Sutter
Modified: 2016-02-23 06:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lmohanty: needinfo? (bsutter)


Attachments (Terms of Use)

  None (edit)
Description Burr Sutter 2015-12-01 14:01:24 EST
Description of problem:
Current CDK2 beta, rhel-ose
refers to 
rcm-img-docker01.build.eng.bos.redhat.com:5001

Version-Release number of selected component (if applicable):


How reproducible:
1. cd components/rhel/rhel-ose
2. vagrant up
3. vagrant ssh
4. docker pull centos

you will see the reference to 
rcm-img-docker01.build.eng.bos.redhat.com:5001

Actual results:


Expected results:
It should not be attempting to download Docker images from
rcm-img-docker01.build.eng.bos.redhat.com:5001

yes, registry.access.redhat.com
and yes, docker.io
but not rcm-img-docker01.build.eng.bos.redhat.com:5001

Additional info:
Comment 1 Ian McLeod 2015-12-03 09:18:31 EST
I cannot reproduce this.  I've pulled the latest libvirt box from this location:

https://access.cdn.redhat.com//content/origin/files/sha256/9c/9cd7d880fcdef00a93f483d70c0b95c1bdd6476612c3fe3e848e6652a499b42e/rhel-cdk-kubernetes-7.2-6.x86_64.vagrant-libvirt.box?_auth_=1449152054_7e24299a8bbc4c6a390873d0205776b1

I started it successfully and pulled a few different images.  I also inspected the config files and do not see any reference to the internal hostname.

Here is some representative output:

[root@localhost sysconfig]# docker images
REPOSITORY                                  TAG                 IMAGE ID            CREATED             VIRTUAL SIZE
registry.access.redhat.com/openshift3/ose   latest              2eb816e9a7d0        3 weeks ago         395.3 MB


[root@localhost sysconfig]# docker pull rhel7
Using default tag: latest
6883d5422f4e: Download complete 
Status: Image is up to date for registry.access.redhat.com/rhel7:latest

[root@localhost sysconfig]# docker images
REPOSITORY                                  TAG                 IMAGE ID            CREATED             VIRTUAL SIZE
registry.access.redhat.com/openshift3/ose   latest              2eb816e9a7d0        3 weeks ago         395.3 MB
registry.access.redhat.com/rhel7            latest              6883d5422f4e        3 weeks ago         201.7 MB

[root@localhost sysconfig]# grep ADD_REGISTRY /etc/sysconfig/docker
# pull use the ADD_REGISTRY option to list a set of registries, each prepended
ADD_REGISTRY='--add-registry registry.access.redhat.com'
[root@localhost sysconfig]# cd
[root@localhost ~]# docker pull centos
Using default tag: latest
Trying to pull repository registry.access.redhat.com/centos ... not found
Trying to pull repository docker.io/library/centos ... latest: Pulling from library/centos
47d44cb6f252: Pull complete 
168a69b62202: Pull complete 
812e9d9d677f: Pull complete 
4234bfdd88f8: Pull complete 
ce20c473cd8a: Pull complete 
Digest: sha256:c96eeb93f2590858b9e1396e808d817fa0ba4076c68b59395445cb957b524408
Status: Downloaded newer image for docker.io/centos:latest

[root@localhost ~]#
Comment 2 Lalatendu Mohanty 2016-01-07 07:28:13 EST
I am too not able to reproduce it on CDK 2.0 beta3

[vagrant@localhost ~]$ docker pull centos
Using default tag: latest
Trying to pull repository registry.access.redhat.com/centos ... not found
Trying to pull repository docker.io/library/centos ... latest: Pulling from library/centos
47d44cb6f252: Pull complete 
838c1c5c4f83: Downloading [=====>                                             ] 8.097 MB/70.51 MB
5764f0a31317: Download complete 
60e65a8e4030: Download complete 

$ docker images
docker.io/centos                            latest              60e65a8e4030        13 days ago         196.6 MB
registry.access.redhat.com/openshift3/ose   latest              2eb816e9a7d0        8 weeks ago         395.3 MB


Can you please retry and let us know

Note You need to log in before you can comment on or make changes to this bug.